Follow

iOS and Device Compatibility

It is recommended that all user iPads have been updated to operating system iOS 8 and above to use the Board Hub app.

iPad Air 2, and iPad Mini 3 or above are also recommended to ensure full compatibility between the iPad technology and the IntelligenceBank app. 

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments

Powered by Zendesk